{% extends 'root.html' %}

{% load static i18n humanize microsocial %}

{% block context %}
    <div class="container-fluid">
        <h1>{% trans 'новости'|capfirst %}</h1>
        {% for item in wall %}
            <div class="row">
                <div class="col-md-12 text-justify">
                    <img src="{{ item.user1|get_avatar }}" height="100px" width="100px"/>
                    <a href="{% url 'profile' item.user1_id %}">{{ item.user1.get_full_name }}</a>
                    {% if item.action == friendship or item.action == not_friendship %}
                        {% trans 'и' %}
                    {% else %}
                        {{ item.get_action_display }}
                    {% endif %}
                    {% if item.user2 %}
                        <img src="{{ item.user2|get_avatar }}" height="100px" width="100px"/>
                        <a href="{% url 'profile' item.user2_id %}">{{ item.user2.get_full_name }}</a>
                    {% endif %}
                    {% if item.action == friendship or item.action == not_friendship %}
                        {{ item.get_action_display }}
                    {% endif %}
                    <span title="{{ item.created }}">{{ item.created|naturaltime }}</span>
                    {% if item.messages_wall %}
                        <p style="margin: 10px 0">{{ item.messages_wall.post|linebreaksbr }}</p>
                    {% endif %}
                </div>
                <hr>
            </div>
        {% endfor %}
     {% show_paginator wall %}
    </div>
{% endblock %}